# all substructure collections
fpVersions = {
    "fps_full_0814": [
        "fp8",
        "fp12",
        "fp9",
        "fp10",
        "fp11",
        "fp13",
        "fp1",
        "fp2",
        "fp3",
        "fp4",
        "fp5",
        "fp6",
        "fp7",
        "hal1",
        "hal2",
        "hal3",
        "hal4",
        "fp98",
        "fp99",
    ],
    "fps_full_2_0814": [
        "fp8_2",
        "fp12_2",
        "fp9_2",
        "fp10_2",
        "fp11_2",
        "fp13_2",
        "fp1_2",
        "fp2_2",
        "fp3_2",
        "fp4_2",
        "fp5_2",
        "fp6_2",
        "fp7_2",
        "hal1_2",
        "hal2_2",
        "hal3_2",
        "hal4_2",
        "fp98_2",
        "fp99_2",
    ],
    "fps_full_3_0814": [
        "fp8_3",
        "fp12_3",
        "fp9_3",
        "fp10_3",
        "fp11_3",
        "fp13_3",
        "fp1_3",
        "fp2_3",
        "fp3_3",
        "fp4_3",
        "fp5_3",
        "fp6_3",
        "fp7_3",
        "hal1_2",
        "hal2_2",
        "hal3_2",
        "hal4_2",
        "fp98_3",
        "fp99_3_old",
    ],
    "regular_1007": [
        "co_coa",
        "co_nadh",
        "co_nadph",
        "s_pyranose_C5O4",
        "s_furanose_C4O3",
        "s_openpyr_C6O6",
        "s_openfur_C5O5",
        "d_indoleC2N_12",
        "d_phenylC2N_9",
        "d_c5n_6",
        "d_c4n_5",
        "d_phenylC3_9_1007",
        "d_phenylC2_8_1007",
        "d_phenylC1_7_1007",
        "d_isoprene_5",
        "d2_acetyl_C2O1",
        "d2_methylmalonyl_C3",
        "d_ethyl_2",
        "d_methyl_1",
        "phosphate_2",
        "sulfonate_2",
        "hal_f",
        "hal_cl",
        "hal_br",
        "hal_i",
        "n_nitrate_1",
        "o_epoxy_1",
        "o_ether_1",
        "o_hydroxyl_1",
    ],
    "regular_1008": [  # new version with d_phenylC1_7, after isoprene
        "co_coa",
        "co_nadh",
        "co_nadph",
        "s_pyranose_C5O4",
        "s_furanose_C4O3",
        "s_openpyr_C6O6",
        "s_openfur_C5O5",
        "d_indoleC2N_12",
        "d_phenylC2N_9",
        "d_c5n_6",
        "d_c4n_5",
        "d_phenylC3_9",
        "d_phenylC2_8",
        "d_phenylC1_7",
        "d_isoprene_5",
        "d2_acetyl_C2O1",
        "d2_methylmalonyl_C3",
        "d_ethyl_2",
        "d_methyl_1",
        "phosphate_2",
        "sulfonate_2",
        "hal_f",
        "hal_cl",
        "hal_br",
        "hal_i",
        "n_nitrate_1",
        "o_epoxy_1",
        "o_ether_1",
        "o_hydroxyl_1",
    ],
    "strictphenyl_1016": [  # stricter version with d_phenylC1_7_strict (1016)
        "co_coa",
        "co_nadh",
        "co_nadph",
        "s_openpyr_C6O6",  # open ones first
        "s_openfur_C5O5",
        "s_pyranose_C5O4",
        "s_furanose_C4O3",
        "d_indoleC2N_12",
        "d_phenylC2N_9",
        "d_c5n_6",
        "d_c4n_5",
        "d_phenylC3_9_strict",
        "d_phenylC2_8_strict",
        "d_phenylC1_7_strict",
        "d_isoprene_5",
        "d2_acetyl_C2O1",
        "d2_methylmalonyl_C3",
        "d_ethyl_2",
        "d_methyl_1",
        "phosphate_2",
        "sulfonate_2",
        "hal_f",
        "hal_cl",
        "hal_br",
        "hal_i",
        "n_nitrate_1",
        "o_epoxy_1",
        "o_ether_1",
        "o_hydroxyl_1",
    ],
    "aa_1018": [  # includes 'full' amino acids
        "co_coa",
        "co_nadh",
        "co_nadph",
        "allstnd_aminos",
        "nonstnd_aminos",
        "s_openpyr_C6O6",  # open ones first
        "s_openfur_C5O5",
        "s_pyranose_C5O4",
        "s_furanose_C4O3",
        "d_indoleC2N_12",
        "d_phenylC2N_9",
        "d_c5n_6",
        "d_c4n_5",
        "d_phenylC3_9_strict",
        "d_phenylC2_8_strict",
        "d_phenylC1_7_strict",
        "d_isoprene_5",
        "d2_acetyl_C2O1",
        "d2_methylmalonyl_C3",
        "d_ethyl_2",
        "d_methyl_1",
        "phosphate_2",
        "sulfonate_2",
        "hal_f",
        "hal_cl",
        "hal_br",
        "hal_i",
        "n_nitrate_1",
        "o_epoxy_1",
        "o_ether_1",
        "o_hydroxyl_1",
    ],
    "full_1103": [  # includes 'full' amino acids
        # largest co-enzyme bits first,
        # then amino acids (to not be suppressed by their precursor building blocks),
        # sugars,
        # then dewick's building blocks in order of many to few atoms,
        # then non-carbon-elements,
        # finally all sizes of C-rings (not metabolic pathway-specific and therefore not supposed to take precedence over pathway-specific rings in previous substructures)
        "co_coa",
        "co_nadh",
        "co_nadph",
        "allstnd_aminos",
        "nonstnd_aminos",
        "s_openpyr_C6O6",  # open ones first
        "s_openfur_C5O5",
        "s_pyranose_C5O4",
        "s_furanose_C4O3",
        "d_indoleC2N_12",
        "d_phenylC2N_9",
        "d_c5n_6",
        "d_c4n_5",
        "d_phenylC3_9_strict",
        "d_phenylC2_8_strict",
        "d_phenylC1_7_strict",
        "d_isoprene_5",
        "d2_acetyl_C2O1",
        "d2_methylmalonyl_C3",
        "d_ethyl_2",
        "d_methyl_1",
        "phosphate_2",
        "sulfonate_2",
        "hal_f",
        "hal_cl",
        "hal_br",
        "hal_i",
        "n_nitrate_1",
        "o_epoxy_1",
        "o_ether_1",
        "o_hydroxyl_1",
        "r_c3",
        "r_c4",
        "r_c5",
        "r_c6",
        "r_c7",
        "r_c8",
        "r_c9",
        "r_c10",
    ],
    "leaf": [],
}
